<p-panel header="Pipes no tan comunes" class="p-1">
  <p>
    Pipes incluidos en Angular - Usualmente en el CommonModule
  </p>
</p-panel>

<div class="grid">
  <div class="col-12 md:col-6">
    <p-fieldset legend="i18nSelect Pipe" [toggleable]="true">
      <p>Saludos {{name}} es un placer {{gender | i18nSelect: invitationMap}} a nuestro evento</p>

      <p-button (onClick)="changeClient()" label="Cambiar Persona"></p-button>
    </p-fieldset>
  </div>
  <div class="col-12 md:col-6">
    <p-fieldset legend="i18nPlural Pipe" [toggleable]="true">
      <p>Actualmente {{clients.length | i18nPlural: clientsMap}}</p>

      <p-button (onClick)="deleteClient()" label="Cliente Atendido"></p-button>
    </p-fieldset>
  </div>
  <div class="col-12 md:col-6">
    <p-fieldset legend="Slice Pipe" [toggleable]="true">
      <b>Original</b>
      <pre>{{clients}}</pre>

      <b>slice: 0:2</b>
      <pre>{{clients | slice:0:2}}</pre>

      <b>slice: 1:3</b>
      <pre>{{clients | slice:1:3}}</pre>
    </p-fieldset>
  </div>
  <div class="col-12 md:col-6">
    <p-fieldset legend="Json Pipe" [toggleable]="true">
      <pre>{{person | json}}</pre>
    </p-fieldset>
  </div>
  <div class="col-12 md:col-6">
    <p-fieldset legend="KeyValue Pipe" [toggleable]="true">
      <ul *ngFor="let item of person | keyvalue">
        <li><b>{{item.key | titlecase}}</b> {{item.value}}</li>
      </ul>
    </p-fieldset>
  </div>
  <div class="col-12 md:col-6">
    <p-fieldset legend="Async Pipe" [toggleable]="true">
      <p *ngIf="!(myObservableTimer | async)">Procesando observable</p>
      {{myObservableTimer | async}}

      <p *ngIf="!(myPromise | async)">Procesando promesa</p>
      <p>{{myPromise | async}}</p>

    </p-fieldset>
  </div>
</div>